from django.db import models
from django.contrib.auth.models import AbstractUser


class CustomUser(AbstractUser):

    USERNAME_FIELD = "email"
    REQUIRED_FIELDS = ["name"]
    email = models.EmailField(primary_key=True, unique=True)
    name = models.CharField(max_length=255, null=False)
    birth_date = models.DateField(null=False)
    phone_number = models.CharField(max_length=15, null=False)
    blog_url = models.URLField(null=False)
    description = models.TextField(null=False)
    npm = models.CharField(max_length=10, null=False)
    ipk = models.DecimalField(max_digits=4, decimal_places=2, null=False)