from django.db import IntegrityError
from django.shortcuts import render, redirect
from .forms import UserForm
from .models import CustomUser

def user_form_view(request):
    if request.method == 'POST':
        form = UserForm(request.POST)
        if form.is_valid():
            user = CustomUser(
                name=form.cleaned_data['name'],
                email=form.cleaned_data['email'],
                birth_date=form.cleaned_data['birth_date'],
                phone_number=form.cleaned_data['phone_number'],
                blog_url=form.cleaned_data['blog_url'],
                description=form.cleaned_data['description'],
                npm=form.cleaned_data['npm'],
                ipk=form.cleaned_data['ipk']
            )
            
            user.set_password(form.cleaned_data['password'])
            
            try:
                user.save()
                return render(request, 'user_result.html', {'data': form.cleaned_data})
            except IntegrityError:
                form.add_error('name', 'This email is already taken. Please choose another one.')
                return render(request, 'user_form.html', {'form': form})
        else:
            return render(request, 'user_form.html', {'form': form})
    else:
        form = UserForm()
        return render(request, 'user_form.html', {'form': form})